# $Revision: 1.11 $, $Date: 2003/12/06 12:36:56 $
Summary:	DJGPP GNU Binary Utility Development Utilities - libraries
Summary(pl):	Narzdzia programistyczne GNU DJGPP - biblioteki
Name:		crossdjgpp-platform
Version:	203
Release:	2
Epoch:		1
License:	GPL
Group:		Development/Libraries
URL:		http://www.delorie.com/djgpp/
Source0:	ftp://ftp.simtel.net/pub/simtelnet/gnu/djgpp/v2/djcrx%{version}.zip
# Source0-md5:	dbaceb26365a14e702f2e1c9def16afc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	unzip
PreReq:		fix-info-dir

%define		target		i386-pc-msdosdjgpp
%define		arch		%{_prefix}/%{target}
%define		no_install_post_strip	1

%description
DJGPP is a port of GNU GCC to the DOS environment. (It stands for DJ's
Gnu Programming Platform, if it has to stand for something, but it's
best left ambiguous.)

This package contains DOS API includes and libraries.

%description -l pl
DJGPP to port GNU GCC dla rodowiska DOS (skrt oznacza DJ's Gnu
Programming Platform, jeli ju koniecznie ma co oznacza).

Ten pakiet zawiera pliki nagwkowe i biblioteki DOS API.

%prep
%setup -q -c -T -n djcrx-%{version}
unzip -a %{SOURCE0} > /dev/null

%build
%{__cc} %{rpmcflags} -o stubify src/stub/stubify.c
%{__cc} %{rpmcflags} -o stubedit src/stub/stubedit.c

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_infodir},%{arch}/{include,lib,bin},%{_bindir}}
cp -fa include/* $RPM_BUILD_ROOT%{arch}/include
cp -fa lib/* $RPM_BUILD_ROOT%{arch}/lib
# required by linker... strange
ln -sf ../lib/djgpp.djl $RPM_BUILD_ROOT%{arch}/bin

( cat <<EOF
This is foobarbaz.

INFO-DIR-SECTION Libraries:
START-INFO-DIR-ENTRY
* DJGPP Libc: (djgpp-libc)		Libc for cross-djgpp
END-INFO-DIR-ENTRY
EOF
  cat info/libc.info ) | \
	sed -e 's/libc\.info/djgpp-libc.info/g' \
		> $RPM_BUILD_ROOT%{_infodir}/djgpp-libc.info

install stubify stubedit $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%{arch}
%{_infodir}/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossdjgpp-platform.spec,v $
Revision 1.11  2003/12/06 12:36:56  undefine
- don't strip on install

Revision 1.10  2003/12/06 12:18:16  undefine
- release 2 to rebuild with ac

Revision 1.9  2003/08/06 16:51:59  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.8  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/04/25 16:07:20  arturs
fixed a small typo

Revision 1.5  2002/03/19 15:55:44  ankry
- fixed URL

Revision 1.4  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/11 11:34:51  qboosh
- adapterized, pl translations, cosmetics

Revision 1.1  2002/01/10 13:23:21  malekith
- inital, based on crossmingw32-platform
- cross libs for DJGPP
